Bug 43371 - smax=0 is ignored
Summary: smax=0 is ignored
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.4
Hardware: Other other
: P2 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2007-09-12 14:40 UTC by Phil Endecott
Modified: 2008-10-15 12:53 UTC (History)
0 users



Attachments
Patch as described (970 bytes, patch)
2007-09-12 14:42 UTC, Phil Endecott
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Endecott 2007-09-12 14:40:27 UTC
It doesn't seem unreasonable to set smax=0 in a proxy configuration, i.e. when
idle all connections should be dropped.  But, as currently implemented, zero is
used internally as a sentinel value to indicate that no user value has been
supplied.  So attempts to set smax=0 result in it getting its default value.

I have hacked together a small patch that changes this sentinel to -1, so that
zero can mean zero.  I'll attach the patch, which is against 2.2.x, though I
fear that there are probably other places that need to be changed to match.
Comment 1 Phil Endecott 2007-09-12 14:42:41 UTC
Created attachment 20803 [details]
Patch as described
Comment 2 Jim Jagielski 2008-09-19 06:41:45 UTC
Patching trunk... Setting the sentinel value where it should go however :)
Comment 3 Ruediger Pluem 2008-10-15 12:53:35 UTC
Backported to 2.2.10